define([], function(){
	"use strict";
	
	
	
	var Action = function(options){
		this._name = options.name;
		this._method = options.method;
		this._label = options.label;
		this._icon  = options.icon;
		this._isPrimary = options.primary;
		this._requireSelection = options.requireSelection;
	};
	
	Action.prototype.getName = function(){
		return this._name;
	};
	
	Action.prototype.getLabel = function(){
		return this._label;
	};
	
	Action.prototype.getIcon = function(){
		return this._icon;
	};
			
	Action.prototype.execute = function(){
		this._method();
	};
	
	Action.prototype.isSelectionRequired = function(){
		return this._requireSelection;
	};
	
	
	return Action;
});