define([
	// 3DViewerLauncher
	//"component/3DViewerLauncher/3DViewerLauncher", // r.js has a problem optimizing when 3DViewerLauncher is included in the all-components file

	// actionbuttons
	"component/actionbuttons/AbstractButton",
	"component/actionbuttons/DownloadButton",
	"component/actionbuttons/Open3DButton",
	"component/actionbuttons/OpenACADButton",
	"component/actionbuttons/UploadNewVersionButton",
	"component/actionbuttons/ViewButton",

	// actionmenu
	"component/actionmenu/ActionMenu",
	"component/actionmenu/ActionMenuBase",
	"component/actionmenu/HeaderActionMenu",
	"component/actionmenu/RowActionMenu",
	"component/actionmenu/VerticalActionMenu",

	// actionpopup	
	"component/actionpopup/ImportPopup",

	// badge
	"component/badge/IconBadge",

	// button
	"component/button/Button",

	// cards
	"component/cards/CardGridControl",

	// contentoverflow
	"component/contentoverflow/OverflowContentContainer",

	//dashboard
	// --> included with /dashboard/Dashboard bundle (not a component on its own)
	// --> DashboardExample only used on wcr-components

	// documentselector
	"component/documentselector/DocumentSelector",

	// dropdownmenu
	"component/dropdownmenu/DropdownMenu",

	// errorhandler
	"component/errorhandler/ErrorHandler",

	//  fileinput
	"component/fileinput/MultiFileInput",

	// filterList
	"component/filterList/FilterList",

	// helpIcon 
	"component/helpIcon/HelpIcon",


	// inputDropdown
	"component/inputDropdown/InputDropdown",

	// javascripteditor	
	// "component/javascripteditor/javascripteditor", // cant excluded because of ace :(

	// keywordsearch
	"component/keywordsearch/keywordsearch",

	// loadingindicator	
	"component/loadingindicator/LoadingIndicator",

	// message
	"component/message/MessageComponent",

	// Modal
	"component/modal/Modal",

	// multiSelect
	"component/multiSelect/view/MultiSelectList",
	"component/multiSelect/view/MultipleMultiSelectList",

	// overlaymessage	
	"component/overlaymessage/OverlayMessage",

	// pagemessagecomponent	
	"component/pagemessagecomponent/PageMessageComponent",

	// passwordpopup
	"component/passwordpopup/PasswordValidationPopup",

	// popover
	"component/popover/Popover",

	// progressbar
	"component/progressbar/ProgressBar",

	// savedsearchdialog
	"component/savedsearchdialog/ProjectSavedSearchDialog",

	// scrollbar
	"component/scrollbar/Scrollbar",

	//sdrop
	"component/sdrop/SDrop",

	// searchresults
	"component/searchresults/internal/SearchResultsControl",
	"component/searchresults/internal/SearchSetupControl",

	// smartnames
	//"component/smartnames/smartnameinput", // ace :(

	//styledfiledinput 
	"component/styledfileinput/StyledFileInput",

	// table
	"component/table/Table",
	"component/table/DropdownOverflowUtil",

	// thirdlevelmenu	
	"component/thirdlevelmenu/ThirdLevelMenu",

	// toolbar
	"component/toolbar/ButtonGroup",
	"component/toolbar/ToolbarButton",
	"component/toolbar/ToolbarComponent",

	// tooltip
	"component/tooltip/Tooltip",

	// tree
	"component/tree/treeitem",

	// usercreation
	"component/usercreation/CreateNewUserPopup",
	"component/usercreation/InviteMemberPopup",

	//xdrop
	"component/xdrop/XDrop",

], function () {});