define([
		"component/message/Message",
		"component/message/MessageType",
		"component/message/MessageModel",
		"component/message/MessageWidget"
	],
	function (
		Message,
		MessageType,
		MessageModel,
		MessageWidget,
		_
	) {
		"use strict";

		/**
		 * This is the entry port of the message component.
		 * You should use it to include sub components in your application (component/message/MessageComponent)
		 * and create new types from it using for example new MessageComponent.Message(...)
		 */
		return {
			Message: Message,
			MessageType: MessageType,
			MessageModel: MessageModel,
			MessageWidget: MessageWidget
		};
	});