define(["underscore"],
	function (_) {
		"use strict";

		/**
		 * NEVER include this file directly, but use dependency component/message/MessageComponent instead
		 */
		return {
			SUCCESS: {
				value: 0,
				name: "SUCCESS"
			},
			INFO: {
				value: 1,
				name: "INFO"
			},
			WARN: {
				value: 2,
				name: "WARN"
			},
			ERROR: {
				value: 3,
				name: "ERROR"
			},

			getTypeFromString: function (stringType) {
				return _.findWhere(this, {
					name: stringType.toUpperCase()
				});
			}
		};
	});