define([], function(){
	
	var SearchResultsResultsStyleHandler = function($div, changeThumbnailsAndRerunCallback, changeDisplayStyleAndRerunCallback) {
		this.div = $div;
		this.changeThumbnailsAndRerunCallback = changeThumbnailsAndRerunCallback;
		this.changeDisplayStyleAndRerunCallback = changeDisplayStyleAndRerunCallback;
	};
	
	/**
	 * Initialize...
	 * 
	 * Registers the listeners on the pager buttons...
	 */
	SearchResultsResultsStyleHandler.prototype.initialize = function(){
		// Register listeners!
		$(".searchresultstoggledisplaystyle", this.div).click(_.partial(function(event, pagingHandler){
			// Which page to go to?
			var destinationStyle = $(this).attr("data-goto");
			
			if(destinationStyle==="with-thumbs"){
				pagingHandler.changeThumbnailsAndRerunCallback(true);
			}else if(destinationStyle==="without-thumbs") {
				pagingHandler.changeThumbnailsAndRerunCallback(false);
			}else if(destinationStyle==="list" || destinationStyle==="grid" || destinationStyle==="card") {
				pagingHandler.changeDisplayStyleAndRerunCallback(destinationStyle);
			}
			
		}, _, this));
	};
	
	return SearchResultsResultsStyleHandler;
});
