define(["jquery"], function($) {	
	
	"use strict";
	
	/**
	 * File to group all functions that are related to the logo section of the customizations page
	 * currently one event is triggered: 
	 * When the logo is reset the "resettodefault" jquery event will be triggered on the image dom element
	 *
	 */
	
	var onBackgroundImageReset = function () {
		this.attr("checked", true);	
	};
	
	return {wcrinit: function(context){
		context = $(context);
		
		// Bind the onBackgroundImageReset
		context.find("img.background-image").on("resettodefault",
			onBackgroundImageReset.bind(context.find("input.fullscreen-background-image-checkbox")));	
	}};
	
	
});