
function ShowUserDetails(userID, userName)
{
	// show the details for this item
	var urlString = "showuserdetails.jsp";
	// to avoid enumerating users by id, also pass the already known userName
	var params = { userID: userID, userName: userName};
	var newWindow = window.open("", "WebCenterUserDetails", "scrollbars=yes,resizable=yes,width=450,height=350");
	
	$.ajax(urlString, {
		type : "POST",
		dataType : "html",
		data : params,
			
		error : function(status, objHdl, description) {
			newWindow.close();
			alert("Unable to get user details. Server status: " + status);
		},
		success : function(html) {
			if (newWindow != null) {
				newWindow.document.open("text/html", "replace");
				newWindow.document.write(html);
				newWindow.document.close();
				newWindow.focus();
			}
		}
	});
}

function ShowApprovalDetails(docVersionID, page)
{
	// show the details for this item
	// create the URL based on the item index
	var url = "showapprovaldetails.jsp?docVerID="+docVersionID + "&pageNumber="+page;
	var newWindow = window.open(url,'WebCenterApprovalDetails','scrollbars=yes,resizable=yes,width=700,height=350');
	if (newWindow != null)
		newWindow.focus();
}

function ShowViewGenerationTaskDetails(docVersionID)
{
	// show the details for this item
	// create the URL based on the item index
	var url = "showviewtaskdetails.jsp?docVersionID="+docVersionID;
	var newWindow = window.open(url,'WebCenterTaskDetails','scrollbars=yes,resizable=yes,width=450,height=350');
	if (newWindow != null)
		newWindow.focus();
}

	
function ShowGroupDetails(groupID, projectID, isRole)
{
	// show the details for this item
	// create the URL based on the item index
	var url = "showgroupdetails.jsp?groupID="+groupID;
	var windowTitle = "WebCenterGroupDetails";
	if (isRole && isRole == 1 && projectID && projectID.length > 0) {
		//add a parameter to the URL
		url = url + "&projectID="+projectID+"&isRole=1";
		//change the window title
		windowTitle = "WebCenterRoleDetails";
	}
	var newWindow = window.open(url, windowTitle,'scrollbars=yes,resizable=yes,width=450,height=350');
	if (newWindow != null)
		newWindow.focus();
}

function ShowRoleDetails(roleID)
{
	// show the details for this item
	// create the URL based on the item index
	var url = "showgroupdetails.jsp?groupID="+groupID+"&isRole=1";
	var newWindow = window.open(url,'WebCenterRoleDetails','scrollbars=yes,resizable=yes,width=450,height=350');
	if (newWindow != null)
		newWindow.focus();
}
	
function ShowLocationDetails(locationID)
{
	// show the details for this item
	// create the URL based on the item index
	var url = "showlocationdetails.jsp?locationID="+locationID;
	var newWindow = window.open(url,'WebCenterLocationDetails','scrollbars=yes,resizable=yes,width=450,height=320');
	if (newWindow != null)
		newWindow.focus();
}

function ShowRestrictedSetDetails(rsetID)
{
	// show the details for this item
	// create the URL based on the item index
	var url = "showrestrictedsetdetails.jsp?rsetID="+rsetID;
	var newWindow = window.open(url,'WebCenterRestrictedSetDetails','scrollbars=yes,resizable=yes,width=450,height=320');
	if (newWindow != null)
		newWindow.focus();
}
	
function ShowProjectDetails(projectID)
{
	// show the details for this item
	// create the URL based on the item index
	var url = "showprojectdetails.jsp?projectID="+projectID;
	var newWindow = window.open(url,'WebCenterProjectDetails','scrollbars=yes,resizable=yes,width=450,height=350');
	if (newWindow != null)
		newWindow.focus();
}

function ShowFullDocumentDetails(docVerID, menuFile)
{
	// open details page of given project document
	// create the URL based on the provided parameters
	var url = "docdetails.jsp?docVerID="+docVerID+"&menu_file="+menuFile;
	var newWindow = window.open(url,'WebCenterDocumentDetails','scrollbars=yes,resizable=yes,width=1024,height=600');
	if (newWindow != null)
		newWindow.focus();
}
