/**
 *
 * For SmartName support in ace editor
 * 
 * This module groups the information for a SmartName in the editor.
 * Will be passed around...
 * 
 * @author JEPE
 */

define([],function() {
"use strict";
    
    /**
     * Constructor
     *
     * Creates new SmartNameInfo
     * 
     * @param name {String} the name of the SmartName
     */
    var SmartNameInfo = function(name) {
        this._name = name;
    };
    (function() {
        
        /**
         * Get the name of this SmartName
         *
         * @returns {String} the name of this SmartName
         */
        this.getFullName = function() {
            return this._name;
        };
        
    }).call(SmartNameInfo.prototype);
    
    // return the constructor
    return SmartNameInfo;
});