define(["require",
		"underscore",
	   	"utils/webi18n!ContextAwareLandingPage",
	   	"jquery"],
	function (require,
		_,
		i18n,
		$) {
		"use strict";

		/**
		 * Function which is used to execute actions
		 * 
		 * @param {ActionExecuteEvent} information about the action
		 */
		return {
			executeAction: function (info) {
				var actionName = info.action;
				// execute the action
				switch (actionName) {
					case "delete_landing_pages":
					case "new_landing_page":
						info.table.updateTable(actionName, info);
						break;
					default:
						break;
				}
				info.preventDefault();
			}
		};
	});
