({
    appDir: ".",
    baseUrl: "../../",
    mainConfigFile: "../../config.js",
    dir: "../../../appworkdir-postbuild/lib/ace",
	paths: {
		"ace/requirejs/text" : "lib/text",
		"ace/css/editor.css": "empty:",
		"ace/theme/textmate.css": "empty:"
	},
	modules: [{
	               name: "ace/ace",
	               // Also include these files since they will also be needed most of the time.
	               include: ["ace/anchor",
	                         "ace/autocomplete",
	                         "ace/document",
	                         "ace/editor",
	                         "ace/edit_session",
	                         "ace/range",
	                         "ace/snippets",
	                         "ace/tokenizer",
	                         "ace/layer/text",
	                         "ace/keyboard/hash_handler",
	                         "ace/ext/language_tools",
	                         "ace/autocomplete/popup",
	                         "ace/autocomplete/text_completer",
	                         "ace/autocomplete/util"],
	                exclude: [
							 "ace/requirejs/text!lib/css/editor.css",
							 "ace/requirejs/text!lib/theme/textmate.css"]
	           }],
    optimize: "closure",
    closure: {
        CompilerOptions: {
        	"languageIn": Packages.com.google.javascript.jscomp.CompilerOptions.LanguageMode.ECMASCRIPT5        
        },
        CompilationLevel: 'SIMPLE_OPTIMIZATIONS',
        loggingLevel: 'WARNING'
    },
    
    pragmas: {
    	productionExclude: true
    },
    pragmasOnSave: {
       afterBuildExclude: true
    }
})
// https://github.com/jrburke/r.js/blob/master/README.md
// http://requirejs.org/docs/optimization.html
