/* A single Section of a Smart Name dictionary >>>> should contain all related Smart Names */

define([], function () {


	var SmartNameDictionarySection = function (name, langTag) {
		this._name = name;
		this._langTag = langTag;
	};
	
	
	/**
	 * Returns the name of the current Dictionary Section
	 * 
	 * @returns {String}
	 */
	SmartNameDictionarySection.prototype.getSectionName = function() {
		return this._name;
	};
	
	/**
	 * Returns the name of the current Dictionary Section
	 * 
	 * @returns {String}
	 */
	SmartNameDictionarySection.prototype.getSectionLangTag = function() {
		return this._langTag;
	};
	
	return SmartNameDictionarySection;


});