define(["jquery", "component/sdrop/SDrop"], function ($, SDrop) {

	"use strict";

	function initDefaultUserTemplate(context) {
		var defaultUserTemplateDiv = $("#DefaultUserTemplate");
		var select = defaultUserTemplateDiv.find("select");
		if (select.length > 0) {
			var selectedItem = select.val();
			var dataProvider=  new SDropDataProvider({
				'dataSource': "GetNameIDList.jsp?list=AllUsers"
			});
			new SDrop(select, null, dataProvider, {
				manageStyleAndWidth: false,
				enableEmptySelection: true,
				initialValue: selectedItem
			});
		}
	}

	return {
		wcrinit: initDefaultUserTemplate
	};
});
