define(["underscore"], function (_) {
	"use strict";
	return {
		mixin: function (object) {
			var didRequestAnimationFrame = null;
			object._render = function () {
				if (!didRequestAnimationFrame) {
					didRequestAnimationFrame = window.requestAnimationFrame(function () {
						object._doRender();
						didRequestAnimationFrame = null;
					});
				}
			};

		}

	};
});