define(["utils/I18n"], function(I18n){
	/**
	 * Shared I18N provider for WebCenter + WebCenter HTML5Viewer
	 */
	var i18n = null;
	
	return { getInstance: function() {
		if(!i18n){
			i18n = new I18n(window.webcenterConfig.userLang, window.webcenterConfig.jspBaseUrl, window.webcenterConfig.languageLoadTimestamp,  window.webcenterConfig.webInstAbsPath);
		}
		return i18n;
	}};
});